<?php


namespace App\Http\Historico;


// Modelos
use App\Log;


// Controladores
use App\Http\Controllers\UnidadController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\Controller;


// Historico
use App\Http\Historico\Historico;


class UnidadHistorico extends Historico {    

    public function store($accion, $obj){

        $this->SetInformacionLog($accion, $obj);
        
        switch($this->accion){
            case "store":
                $nom_area = AreaController::listItem($this->req->id_area)->nom_area;
                $nom_unidad = $this->req->nombre;
                $this->tableLog->titulo = "Registro";
                $this->tableLog->descripcion = "area: $nom_area, nombre: $nom_unidad";
                break;

            case "update":
                $nom_area = UnidadController::listItem($this->req->id)->nom_area;
                $nom_unidad = UnidadController::listItem($this->req->id)->nom_unidad;
                switch($this->req->campo){
                    case "nombre":
                        $new_nom_unidad = $this->req->nombre;
                        $this->tableLog->titulo = "Modificación de nombre";
                        $this->tableLog->descripcion = "Para la unidad $nom_area - $nom_unidad se actualiza a: $new_nom_unidad";
                    break;
                    case "area":
                        $new_nom_area = AreaController::listItem($this->req->id_area)->nom_area;
                        $this->tableLog->titulo = "Modificación de área";
                        $this->tableLog->descripcion = "Para la unidad $nom_area - $nom_unidad se actualiza a: $new_nom_area";
                    break;
                }
                break;

            case "destroy":
                $nom_area = UnidadController::listItem($this->req->id)->nom_area;
                $nom_unidad = UnidadController::listItem($this->req->id)->nom_unidad;
                $this->tableLog->titulo = "Eliminación";
                $this->tableLog->descripcion = "Unidad: $nom_area - $nom_unidad";
                break;

            case "status":
                $nom_area = UnidadController::listItem($this->req->id)->nom_area;
                $nom_unidad = UnidadController::listItem($this->req->id)->nom_unidad;
                $statusNow = UnidadController::listItem($this->req->id)->estado;
                if($statusNow == 1){
                    $this->tableLog->titulo = "Inactivación";
                    $this->tableLog->descripcion = "Unidad: $nom_area - $nom_unidad";
                } else {
                    $this->tableLog->titulo = "Reactivación";
                    $this->tableLog->descripcion = "Unidad: $nom_area - $nom_unidad";
                }
                break;
        }

        $this->tableLog->tabla = 'Unidad';
        $this->tableLog->save();
    }
}